Subject: bug#26370: closed (Re: bug#26370: v0.12.0-2730-gfc5b12879 'guix system build' hangs on linux-libre-4.10.8)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Apr 2017 21:39:02 +0000

Your bug report

#26370: v0.12.0-2730-gfc5b12879 'guix system build' hangs on linux-libre-4.10.8

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26370: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26370
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26370: v0.12.0-2730-gfc5b12879 'guix system build' hangs on linux-libre-4.10.8
From: Marius Bakke <[email-masked]>
To: myglc2 <[email-masked]>
Cc: [email-masked], Tobias Geerinckx-Rice <[email-masked]>, Leo Famulari <[email-masked]>
Date: Wed, 05 Apr 2017 23:38:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

myglc2 <[email-masked]> writes:

> On 04/05/2017 at 19:31 Marius Bakke writes:
>
>> Leo Famulari <[email-masked]> writes:
>>
>>> On Wed, Apr 05, 2017 at 10:55:45AM -0400, myglc2 wrote:
>>>>   HOSTCC  scripts/mod/modpost.o
>>>>   HOSTCC  scripts/mod/file2alias.o
>>>>   HOSTCC  scripts/extract-cert
>>>>   HOSTLD  scripts/genksyms/genksyms
>>>>   CC      arch/x86/purgatory/purgatory.o
>>>>   AS      arch/x86/purgatory/stack.o
>>>>   AS      arch/x86/purgatory/setup-x86_64.o
>>>>   CC      arch/x86/purgatory/sha256.o
>>>>   AS      arch/x86/purgatory/entry64.o
>>>>   CC      arch/x86/purgatory/string.o
>>>>   HOSTLD  scripts/mod/modpost
>>>>   LD      arch/x86/purgatory/purgatory.ro
>>>>   BIN2C   arch/x86/purgatory/kexec-purgatory.c
>>>>   CHK     include/generated/timeconst.h
>>>>   CC      kernel/bounds.s
>>>>   CHK     include/generated/bounds.h
>>>>   UPD     include/generated/bounds.h
>>>
>>> The latest versions of linux-libre (4.10.8, 4.9.20, 4.4.59) are all
>>> hanging around this point. However, they did build in the past:
>>>
>>> https://hydra.gnu.org/job/gnu/master/linux-libre-4.4.59.x86_64-linux
>>> https://hydra.gnu.org/job/gnu/master/linux-libre-4.9.20.x86_64-linux
>>> https://hydra.gnu.org/job/gnu/master/linux-libre-4.10.8.x86_64-linux
>>>
>>> And 4.10.7 hangs in the same way, so I think the issue is in an
>>> unrelated change.
>>
>> Reverting dfee7daedb760f1b1d7506829ca31633f4173356 "gnu: bc: Update to
>> 1.07" makes the build proceed.
>
> Thanks Marius, that worked here too. Should I close the bug? - George

Tobias already reverted this in 'master', so I'm closing this now.
Thanks for the report!

Subject: v0.12.0-2730-gfc5b12879 'guix system build' hangs on linux-libre-4.10.8
From: myglc2 <[email-masked]>
To: [email-masked]
Date: Wed, 05 Apr 2017 10:55:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

'guix system build sys.scm' hangs (please see build1.txt)

I'm running on guixSD using guix built from git checkout ...

: guix (GNU Guix) 0.12.0
: Copyright (C) 2017 the Guix authors
: License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
: This is free software: you are free to change and redistribute it.
: There is NO WARRANTY, to the extent permitted by law.
:   File: /root/.config/guix/latest -> ../../../home/g1/src/guix
: v0.12.0-2730-gfc5b12879
: fc5b12879 gnu: diamond: Update to 0.8.37.
: * (HEAD detached at origin/master)        fc5b12879 gnu: diamond:
Update to 0.8.37.

... with a small edit to grub.scm (please see grub.diff)

diff --git a/gnu/system/grub.scm b/gnu/system/grub.scm
index 4f9bde6a6..8199f6f0b 100644
--- a/gnu/system/grub.scm
+++ b/gnu/system/grub.scm
@@ -199,7 +199,8 @@ system string---e.g., \"x86_64-linux\"."
     insmod vga
   fi
 
-  terminal_output gfxterm
+  serial --unit=0 --speed=115200
+  terminal_input serial console; terminal_output console
 "
         ""))